Google Web Toolkit
Search Google Code:

# Class Float

public final class Float
extends Number
implements Comparable
Wraps a primitve `float` as an object.

## Fields

MAX_VALUE |
MIN_VALUE |
NaN |
NEGATIVE_INFINITY |
POSITIVE_INFINITY |

## Constructors

Float(float) |
Float(String) |

## Methods

byteValue() |
compare(float, float) |
compareTo(Float) |
compareTo(Object) |
doubleValue() |
equals(Object) |
floatValue() |
hashCode() | Performance caution: using Float objects as map keys is not recommended.
intValue() |
isInfinite(float) |
isInfinite() |
isNaN(float) |
isNaN() |
longValue() |
parseFloat(String) |
shortValue() |
toString(float) |
toString() |
valueOf(String) |